Subject: bug#70440: [PATCH] Use -P switch when calling 'python-interpreter'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Apr 2024 19:13:47 +0300

> From: Augusto Stoffel <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 18 Apr 2024 18:02:34 +0200
> 
> On Thu, 18 Apr 2024 at 18:57, Eli Zaretskii wrote:
> 
> >> From: Augusto Stoffel <[email-masked]>
> >> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> >> Date: Thu, 18 Apr 2024 17:52:21 +0200
> >> 
> >> On Fri, 19 Apr 2024 at 00:25, kobarity wrote:
> >> 
> >> > The -P switch is new, introduced in CPython 3.11, so I don't think it
> >> > can be added unconditionally.  Furthermore, `python-interpreter' may
> >> > not be CPython.  Isn't it enough to customize
> >> > `python-interpreter-args'?
> >> 
> >> Ah, too bad.  So let's send that option via environment variables.  I'll
> >> make a new patch when I get the chance.
> >
> > Maybe we should discuss this before you sit down to write and text the
> > code.  Pushing things into the environment has its downsides: those
> > environment variables then affect all the subordinate processes,
> > including their children, grandchildren etc.  This is not always
> > wanted.
> 
> In this case we would just let-bind the env variable for this specific
> subprocess call only.  It's no different than passing a command-line
> switch.

Don't then the child processes of that python subprocess inherit the
same variable in their environments?  That's what I meant by what I
wrote above: all of the descendants of our sub-process will inherit
the variable.